%define section   free

Name:           jing
Version:        20030619
Release:        2jpp
Epoch:          0
Summary:        Jing, a validator for RELAX NG implemented in Java.

Group:          Development/Libraries/Java
License:        Open Source
URL:            http://www.thaiopensource.com/relaxng/jing.html
Source0:        http://www.thaiopensource.com/download/jing-20030619.zip
Source1:        jing_build.xml
Patch0:         jing-xerces2.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Distribution:   JPackage
Vendor:         JPackage Project

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant >= 0:1.5
BuildRequires:  xerces-j2 >= 0:2.6.0
BuildRequires:  xml-commons-apis
BuildRequires:  isorelax
BuildRequires:  saxon
Requires:  xerces-j2 >= 0:2.6.0
Requires:  xml-commons-apis
Requires:  isorelax

%description
This version of Jing implements: RELAX NG 1.0 Specification,
RELAX NG Compact Syntax, and parts of RELAX NG DTD Compatibility, 
specifically checking of ID/IDREF/IDREFS.
Jing also has experimental support for schema languages other 
than RELAX NG; specifically W3C XML Schema (based on Xerces-J);
Schematron; Namespace Routing Language.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%package        manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description    manual
%{summary}.

%package        demo
Summary:        Examples for %{name}
Group:          Development/Libraries/Java

%description    demo
%{summary}.


%prep
#%setup -T -c -n %{name}-%{version}
#(cd ..
#unzip -qq %{SOURCE0} )
%setup -q -n %{name}-%{version}
cp %{SOURCE1} build.xml
mkdir src
( cd src
unzip -qq ../src.zip )
find . -name "*.jar" -exec rm {} \;

%patch0

%build
export CLASSPATH=$(build-classpath \
saxon \
xerces-j2 \
xml-commons-apis \
isorelax \
)
ant -Dbuild.sysclasspath=first dist examples javadoc 

%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 644 dist/lib/%{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

#javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

#manual
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr doc/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

#demo
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr sample/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(-,root,root,-)
%{_javadir}/*.jar
%{_docdir}/%{name}-%{version}/copying.html

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}

%files demo
%defattr(-,root,root,-)
%doc %{_datadir}/%{name}-%{version}

%changelog

* Tue Jul 06 2004 Ralph Apel <r.apel at r-apel.de> - 0:20030619-2jpp
- Replace non-free msv dep by free isorelax
- Added manual and demo subpackages
- Relaxed some versioned dependencies

* Wed May 19 2004 Ralph Apel <r.apel at r-apel.de> - 0:20030619-1jpp
- First JPackage release.
